import { createRouter, createWebHistory } from 'vue-router'

const router = createRouter({
  history: createWebHistory(),
  routes: [
    {
      path: '/',
      redirect: '/model'
    },
    {
      path: '/model',
      name: 'model',
      redirect: '/model/landerModel',
      component: () => import('../views/model/index.vue'),
      children: [
        {
          path: '/model/landerModel',
          name: 'landerModel',
          component: () => import('../views/model/children/landerModel.vue')
        },
        {
          path: '/model/roverModel',
          name: 'roverModel',
          component: () => import('../views/model/children/roverModel.vue')
        },
        {
          path: '/model/leapMachineModel',
          name: 'leapMachineModel',
          component: () => import('../views/model/children/leapMachineModel.vue')
        },
      ]
    },

    {
      path: '/simulation-config',
      name: 'simulationConfig',
      component: () => import('../views/simulation/Config.vue')
    },
    {
      path: '/simulation-result',
      name: 'simulationResult',
      component: () => import('../views/simulation/Result.vue')
    },
    {
      path: '/simulation-test',
      name: 'simulationTest',
      component: () => import('../views/simulation/test.vue')
    },
    {
      path: '/system/user',
      name: 'systemUser',
      component: () => import('../views/system/User.vue')
    },

  ]
})

export default router 